%global momorel 5
%global date 20060409
%global xinever 1.1.1

# Note that this is NOT a relocatable package
Name:        xine-ui
Summary:     A Free Video Player.
Version:     0.99.4
Release:     %{momorel}m
License:     GPL
Group:       Applications/Multimedia
%NoSource 0  http://jaist.dl.sourceforge.net/sourceforge/xine/%{name}-%{version}.tar.gz 90ea1f76747e9788a30a73e7f4a76cf6
# Source0:     %{name}-%{date}.tar.bz2
URL:         http://www.xinehq.de/
Patch0:	     xine-ui-0.9.13-dfb-0.9.13.patch
Patch1:      xine-ui-0.99.4-string-format.patch
BuildPreReq: xine-lib >= %{xinever}, desktop-file-utils
BuildPreReq: openssl-devel >= 0.9.8a
BuildPreReq: readline-devel >= 5.0
Requires:    xine-lib >= %{xinever}
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%prep
%setup -q

%patch0 -p1
%patch1 -p1 -b .string-format

cp src/xitk/xine-toolkit/README README.xitk

%build
%configure
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make transform='s,x,x,' DESTDIR=%{buildroot} install

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Application \
  --add-category AudioVideo \
  --add-category Audio \
  --add-category Video \
  --add-category Player \
  %{buildroot}%{_datadir}/xine/desktop/xine.desktop

# remove aaxine manual
rm -f %{buildroot}%{_mandir}/*/aaxine.*
rm -f %{buildroot}%{_mandir}/*/*/aaxine.*

# clean up doc
rm -rf %{buildroot}%{_docdir}/%{name}
rm -rf %{buildroot}%{_docdir}/xitk

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* doc/README*
%{_bindir}/fbxine
%{_bindir}/xine*
%{_datadir}/applications/xine.desktop
# %%{_datadir}/icons/*/*/*/xine.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/xine.xpm
%{_datadir}/pixmaps/xine_*.png
%{_mandir}/man1/xine*
%{_mandir}/*/man1/xine*
%{_datadir}/xine/desktop
%{_datadir}/xine/oxine
%{_datadir}/xine/skins
%{_datadir}/xine/visuals

%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.4-5m)
- rebuild against readline-5.0

* Sat Jun 10 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.99.4-4m)
- add patch1 (fix multiple format string vulnerabilities in xiTK) [CVE-2006-2230]

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.4-3m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.4-2m)
- rewind with xine-lib

* Sun Apr  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.5-0.20060409.1m)
- update to 20060409 cvs snapshot

* Wed Jul 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.4-1m)
- update to 0.99.4

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.3-2m)
- disable aalib

* Mon Jan 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.3-1m)
- update to 0.99.3

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.99.2-3m)
- rebuild against curl-7.12.2

* Sun Oct 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.2-2m)
- add desktop file
- BuildPreReq: desktop-file-utils

* Mon Sep  6 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.99.2-1m)
- version update to 0.99.2

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.1-1m)
- this release fixes some security issues

* Sat Jan  3 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.23-1m)
- update to 0.9.23

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.9.22-1m)
- update to 0.9.22

* Sun May 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.21-1m)

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.20-2m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags} 

* Wed Mar 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.20-1m)
- minor bugfixes
- revise URL

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.19-1m)
  update to 0.9.19
  
* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.18-3m)
  rebuild against openssl 0.9.7a

* Thu Feb 27 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.18-2m)
- modified BuildRequire

* Fri Jan 31 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.18-1m)

* Fri Sep  6 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.13-2m)
  applied patch for DirectFB 0.9.13

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.13-1m)

* Wed Jul 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-2m)
- remove TO.Nonfree

* Sun Jun 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-2m)
- version down...

* Sat Jun 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.12-1m)
- aa (ASCII art) sub package :p

* Fri Mar  1 2002 Tsutomu Yasuda <tom@kondara.org>
- first release
